package cn.com.ty.lift.ud.schoolVideo.service;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.ty.lift.ud.schoolVideo.controller.query.SchoolVideoQuery;
import cn.com.ty.lift.ud.schoolVideo.mapper.entity.SchoolVideoEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 电梯学堂 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface ISchoolVideoService extends IService<SchoolVideoEntity> {
    RestResponse add(SchoolVideoEntity entity);

    RestResponse selectByExample(SchoolVideoQuery example);

    void updateByIds(List<Long> ids, Integer status);

    RestResponse examineById(SchoolVideoEntity neDto);

    void updateHotFlagByIds(List<Long> ids, Integer status);

    void updateBrowseNum(Long id);

    void updateReward(Long id);
}
